Loading...
Searching...
No Matches
fem_on_pointset_rep< T >

## Detailed Description

template<class T>
class rheolef::fem_on_pointset_rep< T >

Definition at line 43 of file fem_on_pointset.h.

## Public Types

typedef reference_element::size_type | size_type
typedef details::differentiate_option::type | diff_type

## Public Member Functions

| fem_on_pointset_rep ()
const basis_on_pointset< T > & | get_basis_on_pointset () const
const piola_on_pointset< T > & | get_piola_on_pointset () const
void | initialize (const basis_basic< T > &fem_basis, const piola_on_pointset< T > &pops)
template<class M , class Value , diff_type Diff>
void | evaluate (const geo_basic< T, M > &omega_K, const geo_element &K, const details::differentiate_option &gopt, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class M , class Value , diff_type Diff>
void | evaluate_on_side (const geo_basic< T, M > &omega_K, const geo_element &K, const side_information_type &sid, const details::differentiate_option &gopt, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class M , class Value >
void | _evaluate_post_piola (const geo_basic< T, M > &omega_K, const geo_element &K, const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &hat_phij_xi, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const

## Public Attributes

basis_on_pointset< T > | _bops
piola_on_pointset< T > | _pops
std::array< Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic >,reference_element::max_variant > | _scalar_phij_xi
std::array< Eigen::Matrix< point_basic< T >, Eigen::Dynamic, Eigen::Dynamic >,reference_element::max_variant > | _vector_phij_xi
std::array< Eigen::Matrix< tensor_basic< T >, Eigen::Dynamic, Eigen::Dynamic >,reference_element::max_variant > | _tensor_phij_xi

## Member Typedef Documentation

## size_type

template<class T >

typedef reference_element::size_type size_type

Definition at line 45 of file fem_on_pointset.h.

## diff_type

template<class T >

typedef details::differentiate_option::type diff_type

Definition at line 46 of file fem_on_pointset.h.

## Constructor & Destructor Documentation

## fem_on_pointset_rep()

template<class T >

fem_on_pointset_rep | ( |  | ) |

Definition at line 105 of file fem_on_pointset.h.

## Member Function Documentation

## get_basis_on_pointset()

template<class T >

const basis_on_pointset< T > & get_basis_on_pointset | ( |  | ) | const

Definition at line 54 of file fem_on_pointset.h.

## get_piola_on_pointset()

template<class T >

const piola_on_pointset< T > & get_piola_on_pointset | ( |  | ) | const

Definition at line 55 of file fem_on_pointset.h.

## initialize()

template<class T >

void initialize | ( | const basis_basic< T > & | fem_basis,
|  | const piola_on_pointset< T > & | pops
| ) |  |

Definition at line 31 of file fem_on_pointset.cc.

## evaluate()

template<class T >
template<class M , class Value , details::differentiate_option::type Diff>

void evaluate | ( | const geo_basic< T, M > & | omega_K,
|  | const geo_element & | K,
|  | const details::differentiate_option & | gopt,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 454 of file fem_on_pointset.cc.

## evaluate_on_side()

template<class T >
template<class M , class Value , details::differentiate_option::type Diff>

void evaluate_on_side | ( | const geo_basic< T, M > & | omega_K,
|  | const geo_element & | K,
|  | const side_information_type & | sid,
|  | const details::differentiate_option & | gopt,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 466 of file fem_on_pointset.cc.

## _evaluate_post_piola()

template<class T >
template<class M , class Value >

void _evaluate_post_piola | ( | const geo_basic< T, M > & | omega_K,
|  | const geo_element & | K,
|  | const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | hat_phij_xi,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 79 of file fem_on_pointset.cc.

## Member Data Documentation

## _bops

template<class T >

basis_on_pointset<T> _bops

Definition at line 89 of file fem_on_pointset.h.

## _pops

template<class T >

piola_on_pointset<T> _pops

Definition at line 90 of file fem_on_pointset.h.

## _scalar_phij_xi

template<class T >

std::array< Eigen::Matrix<T,Eigen::Dynamic,Eigen::Dynamic> ,reference_element::max_variant> _scalar_phij_xi

mutable

Definition at line 96 of file fem_on_pointset.h.

## _vector_phij_xi

template<class T >

std::array< Eigen::Matrix<point_basic<T>,Eigen::Dynamic,Eigen::Dynamic> ,reference_element::max_variant> _vector_phij_xi

mutable

Definition at line 99 of file fem_on_pointset.h.

## _tensor_phij_xi

template<class T >

std::array< Eigen::Matrix<tensor_basic<T>,Eigen::Dynamic,Eigen::Dynamic> ,reference_element::max_variant> _tensor_phij_xi

mutable

Definition at line 102 of file fem_on_pointset.h.

The documentation for this class was generated from the following files:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/fem_on_pointset.h
- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/fem_on_pointset.cc